Author Topic: 1.0beta6 over 1.0beta5  (Read 3256 times)

Anonymous

  • Guest
1.0beta6 over 1.0beta5
« on: April 06, 2005, 12:29:10 am »
I love the IDE, I'm using it in conjunction with the Ogre3D graphics engine, and the Microsoft VC 2003 toolkit, great combination.

Just a couple of questions,

Can install directly over existing installations (beta6 over beta5)?

will I lose global project settings if I do this, or if I uninstall b5 first?

has 1.0beta6 fixed the crash on exit issue ?
(if you're not aware of this, my 1.0b5 installation crashes on exit/asks to submit an error report to microsoft.)

Running on WinXP Home ed.

Thanks again for all your hard work.

Offline mandrav

  • Project Leader
  • Administrator
  • Lives here!
  • *****
  • Posts: 4291
    • Code::Blocks IDE
1.0beta6 over 1.0beta5
« Reply #1 on: April 06, 2005, 09:17:39 am »
Quote
Can install directly over existing installations (beta6 over beta5)?
will I lose global project settings if I do this, or if I uninstall b5 first?

The compiler commands have changed in beta6 and you need to remove the beta5 configuration first. I know I should make a note of it somewhere...
To clear its configuration, you can uninstall beta5 or you can launch codeblocks once with the command line argument "--clear-configuration". It does exactly the same.

Quote
has 1.0beta6 fixed the crash on exit issue ?

The only crash I 'm aware of is if you exit the program early, i.e. while the project is still being opened and parsed. This is not fixed in beta6 but is being fixed in CVS currently.

Yiannis.
Be patient!
This bug will be fixed soon...

Anonymous

  • Guest
1.0beta6 over 1.0beta5
« Reply #2 on: April 11, 2005, 03:48:39 am »
Thank you for your prompt reply. I'll uninstall beta5 and install beta6. Did I say how much I love this IDE :D